<div class="box px-0 pb-0">
  <div class="px-5 pb-5">
    <div
      class="is-flex mb-5 is-justify-content-space-between is-align-items-center"
    >
      <div class="is-size-7 has-text-grey">
        <a class="" href="/app/challenge/{{challenge.id}}">
          {{challenge.shortName}}
        </a>
      </div>
    </div>
    <div class="media">
      <div class="media-left">
        {{> projectavatar proj_avatar_url=challenge.proj_avatar_url path_with_namespace=challenge.path_with_namespace}}
      </div>
      <div class="media-content">
        <a class="" href="/app/challenge/{{challenge.id}}">
        <h3 class="title is-4" id="txtChallengeName">{{challenge.name}}</h3>
        </a>
        <p class="subtitle is-6 markdown">
          {{challenge.description}}
        </p>
      </div>
    </div>
  </div>
  <nav class="level px-5 py-5 {{#if challenge.active}}has-background-info-light{{else}}has-background-light{{/if}}">
    <!-- Left side -->
    <div class="level-left">
      <div class="level-item">
        <div>
          <span class="mb-2 is-block has-text-grey" style="font-size: 12px;">
            Start Date
          </span>
          <span class="tag is-danger is-light">
            {{challenge.start_date}}
          </span>
        </div>
      </div>
      <div class="level-item">
        <div>
          <span class="mb-2 is-block has-text-grey" style="font-size: 12px;">
            End Date
          </span>
          <span class="tag is-danger is-light">
            {{challenge.end_date}}
          </span>
        </div>
      </div>
    </div>

    <!-- Right side -->
    <div class="level-right">
      <a
        class="button level-item is-link is-light is-outlined"
        href="/leaderboard/{{challenge.id}}"
      >
        <span class="icon">
          <ion-icon name="game-controller-outline"></ion-icon>
        </span>
        <span>Leaderboard</span>
      </a>
      <a
        class="button level-item is-primary"
        href="/app/challenge/{{challenge.id}}"
      >
        View Challenge
      </a>
    </div>
  </nav>
</div>